Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface QueryDef

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface QueryDef

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Query Def'. Definizione della query da eseguire. Utilizzando questo tipo di modellazione è possibile modellare interamente la query senza limitazioni sulla struttura dei campi in output, delle tabelle coinvolte, dei criteri di join. L'utilizzo di questa modalità inibisce la possibilità/necessità di scrivere codice java per implementare la query.

The following features are supported:

- `Select Clause`
- `From Clause`
- `Join Clause`
- `Where Clause`

See Also:
  `DatagenPackage.getQueryDef()`

Method Summary
`FromClause` | `getFromClause()` Returns the value of the 'From Clause' containment reference
`JoinClause` | `getJoinClause()` Returns the value of the 'Join Clause' containment reference
`SelectClause` | `getSelectClause()` Returns the value of the 'Select Clause' containment reference
`WhereClause` | `getWhereClause()` Returns the value of the 'Where Clause' containment reference
`void` | `setFromClause(FromClause value)` Sets the value of the '`From Clause`' containment reference
`void` | `setJoinClause(JoinClause value)` Sets the value of the '`Join Clause`' containment reference
`void` | `setSelectClause(SelectClause value)` Sets the value of the '`Select Clause`' containment reference
`void` | `setWhereClause(WhereClause value)` Sets the value of the '`Where Clause`' containment reference

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSelectClause

    SelectClause getSelectClause()

  Returns the value of the 'Select Clause' containment reference.

  If the meaning of the 'Select Clause' containment reference isn't clear, there really should be more of a description here...

  Determina l'elenco delle colonne che costituiscono il risultato della query. Le colonne possono essere di due tipi:
  - colonne appartenenti ad una qualsiasi delle tabelle coinvolte (ovvero quelle referenziate nella FromClause
  - colonne calcolate, ottenute ad esempio applicando funzioni di aggregazione a colonne effettive (es. somma), oppure applicando altri tipi di funzioni ad una o più colonne effettive (es. concatenzaione)
  Il DTO associato al CustomFinder che utlizza questo tipo di costrutto conterrà i campi necessari a contenenre adeguatamente i risultati della query e non sarà il DTO classico associato al DAO.

  Returns:
    the value of the 'Select Clause' containment reference.
  See Also:
    `setSelectClause(SelectClause)`, `DatagenPackage.getQueryDef_SelectClause()`

### setSelectClause

    void setSelectClause(SelectClause value)

  Sets the value of the '`Select Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Select Clause' containment reference.
  See Also:
    `getSelectClause()`

### getFromClause

    FromClause getFromClause()

  Returns the value of the 'From Clause' containment reference.

  If the meaning of the 'From Clause' containment reference isn't clear, there really should be more of a description here...

  Elenco delle tabelle incluse nella query. A ciascuna Tabella può essere associato un alias

  Returns:
    the value of the 'From Clause' containment reference.
  See Also:
    `setFromClause(FromClause)`, `DatagenPackage.getQueryDef_FromClause()`

### setFromClause

    void setFromClause(FromClause value)

  Sets the value of the '`From Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'From Clause' containment reference.
  See Also:
    `getFromClause()`

### getJoinClause

    JoinClause getJoinClause()

  Returns the value of the 'Join Clause' containment reference.

  If the meaning of the 'Join Clause' containment reference isn't clear, there really should be more of a description here...

  Elenco (opzionale) dei cirteri di join che devono essere applicati alle tabelle referenziate nella FromClause.

  Returns:
    the value of the 'Join Clause' containment reference.
  See Also:
    `setJoinClause(JoinClause)`, `DatagenPackage.getQueryDef_JoinClause()`

### setJoinClause

    void setJoinClause(JoinClause value)

  Sets the value of the '`Join Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Join Clause' containment reference.
  See Also:
    `getJoinClause()`

### getWhereClause

    WhereClause getWhereClause()

  Returns the value of the 'Where Clause' containment reference.

  If the meaning of the 'Where Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Where Clause' containment reference.
  See Also:
    `setWhereClause(WhereClause)`, `DatagenPackage.getQueryDef_WhereClause()`

### setWhereClause

    void setWhereClause(WhereClause value)

  Sets the value of the '`Where Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Where Clause' containment reference.
  See Also:
    `getWhereClause()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD